> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md).

# Elenco dei nomi di proprietà per script PowerShell

Ci viene spesso chiesto un elenco completo dei nomi delle proprietà ed è difficile fornirlo per diversi motivi. L'approccio più efficace resta l'esame della struttura XML di una voce pertinente per individuare i nomi dei campi.

### Reverse engineering della struttura di una voce

1. Crei una voce del tipo necessario, aggiungendo per il momento solo i dati obbligatori. Clicchi su ***OK*** per salvare la voce.
2. Clicchi con il tasto destro sulla voce, quindi utilizzi ***Appunti – Copia***.
3. Nella finestra di dialogo che appare, passi alla scheda ***Anteprima*** e copi la struttura XML in un file di testo. Questo è il PRIMA.
4. Esegua manualmente la modifica alla voce che dovrebbe essere automatizzata tramite PowerShell, quindi salvi la voce.
5. Utilizzando ***Appunti – Copia***, salvi l'XML modificato in un altro file. Questo è il DOPO.
6. Confronti i due file con uno strumento di comparazione: i campi che sono cambiati e i valori che sono stati assegnati indicheranno cosa deve fare lo script.

{% hint style="info" %}
Maggiori informazioni sui [GUID delle proprietà delle credenziali di Remote Desktop Manager](/powershell/it/remote-desktop-manager-powershell/essential-information-about-credential-property-guids-in-remote-desktop-manager.md) e sui [GUID delle proprietà delle credenziali di Devolutions Server](/powershell/it/devolutions-server-powershell/essential-information-about-credential-property-guids-in-devolutions-server.md).
{% endhint %}

### Suggerimenti e trucchi

* Per trovare le proprietà e i percorsi, esegua il reverse engineering del formato del file XML della sessione. Crei una sessione di esempio in Remote Desktop Manager ed esporti utilizzando il menu contestuale ***Importa/Esporta – Esporta sessione (.rdm)***. Una volta esportato, apra il file .rdm con un editor. Esplori la struttura XML per trovare il percorso e il nome della proprietà.
* Per elencare tutte le proprietà di una voce, invii l'oggetto sessione tramite pipe al cmdlet Get-Member.

```powershell
$session = Get-RDMSession -Name "MyRDPSession"
$session | Get-Member
```

#### Vedere anche

* [Devolutions Academy – Work with list of property names for PowerShell script and custom reports](https://academy.devolutions.net/student/page/2849045-work-with-list-of-property-names-for-powershell-script-and-custom-reports?curriculum_activity_id=4343923\&path_id=2628397\&sid=3dc8eec6-00a5-4443-ad91-950b3aac7dff\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
